##
##  perl-biz.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                                     5.22
%define       V_business_hours                           0.12
%define       V_business_isbn                            3.008
%define       V_business_isbn_data                       20240209.001
%define       V_business_iban                            0.06
%define       V_business_creditcard                      0.39
%define       V_business_creditcard_object               1.00
%define       V_business_paypal                          0.04
%define       V_business_paypal_ewp                      1.03
%define       V_business_paypal_ipn                      1.94
%define       V_business_paypal_api                      0.69
%define       V_google_checkout                          1.1.1
%define       V_business_onlinepayment                   3.05
%define       V_business_onlinepayment_storedtransaction 0.01
%define       V_business_onlinepayment_paypal            0.11

#   package information
Name:         perl-biz
Summary:      Perl Modules for Business
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20240211

#   list of sources
Source0:      http://www.cpan.org/authors/id/R/RU/RUZ/Business-Hours-%{V_business_hours}.tar.gz
Source1:      http://www.cpan.org/authors/id/B/BD/BDFOY/Business-ISBN-%{V_business_isbn}.tar.gz
Source2:      http://www.cpan.org/authors/id/B/BD/BDFOY/Business-ISBN-Data-%{V_business_isbn_data}.tar.gz
Source3:      http://www.cpan.org/authors/id/T/TI/TINITA/Business-IBAN-%{V_business_iban}.tar.gz
Source4:      http://www.cpan.org/authors/id/I/IV/IVAN/Business-CreditCard-%{V_business_creditcard}.tar.gz
Source5:      http://www.cpan.org/authors/id/T/TM/TMTM/Business-CreditCard-Object-%{V_business_creditcard_object}.tar.gz
Source6:      http://www.cpan.org/authors/id/P/PH/PHRED/Business-PayPal-%{V_business_paypal}.tar.gz
Source7:      http://www.cpan.org/authors/id/T/TB/TBUSCH/Business-PayPal-EWP-%{V_business_paypal_ewp}.tar.gz
Source8:      http://www.cpan.org/authors/id/S/SH/SHERZODR/Business-PayPal-IPN-%{V_business_paypal_ipn}.tar.gz
Source9:      http://www.cpan.org/authors/id/H/HE/HEMBREED/Business-PayPal-API-%{V_business_paypal_api}.tar.gz
Source10:     http://google-checkout-perl-sample-code.googlecode.com/files/Google-Checkout-%{V_google_checkout}.tar.gz
Source11:     http://www.cpan.org/authors/id/I/IV/IVAN/Business-OnlinePayment-%{V_business_onlinepayment}.tar.gz
Source12:     http://www.cpan.org/authors/id/M/MO/MOCK/Business-OnlinePayment-StoredTransaction-%{V_business_onlinepayment_storedtransaction}.tar.gz
Source13:     http://www.cpan.org/authors/id/P/PL/PLOBBES/Business-OnlinePayment-PayPal-%{V_business_onlinepayment_paypal}.tar.gz
Patch0:       perl-biz.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20040126
PreReq:       OpenPKG, openpkg >= 20160101, perl >= %{V_perl}
BuildPreReq:  perl-ssl, perl-crypto, perl-www, perl-ds >= %{V_perl}-20050430
PreReq:       perl-ssl, perl-crypto, perl-www, perl-ds >= %{V_perl}-20050430

%description
    Various modules for Business with Perl:
    - Business::Hours (%{V_business_hours})
    - Business::ISBN (%{V_business_isbn})
    - Business::ISBN::Data (%{V_business_isbn_data})
    - Business::IBAN (%{V_business_iban})
    - Business::CreditCard (%{V_business_creditcard})
    - Business::CreditCard::Object (%{V_business_creditcard_object})
    - Business::PayPal (%{V_business_paypal})
    - Business::PayPal::EWP (%{V_business_paypal_ewp})
    - Business::PayPal::IPN (%{V_business_paypal_ipn})
    - Business::PayPal::API (%{V_business_paypal_api})
    - Google::Checkout (%{V_google_checkout})
    - Business::OnlinePayment (%{V_business_onlinepayment})
    - Business::OnlinePayment::StoredTransaction (%{V_business_onlinepayment_storedtransaction})
    - Business::OnlinePayment::Paypal (%{V_business_onlinepayment_paypal})

%track
    prog perl-biz:Business-Hours = {
        version   = %{V_business_hours}
        url       = http://www.cpan.org/authors/id/R/RU/RUZ/
        regex     = Business-Hours-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-ISBN = {
        version   = %{V_business_isbn}
        url       = http://www.cpan.org/authors/id/B/BD/BDFOY/
        regex     = Business-ISBN-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-ISBN-Data = {
        version   = %{V_business_isbn_data}
        url       = http://www.cpan.org/authors/id/B/BD/BDFOY/
        regex     = Business-ISBN-Data-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-IBAN = {
        version   = %{V_business_iban}
        url       = http://www.cpan.org/authors/id/T/TI/TINITA/
        regex     = Business-IBAN-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-CreditCard = {
        version   = %{V_business_creditcard}
        url       = http://www.cpan.org/authors/id/I/IV/IVAN/
        regex     = Business-CreditCard-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-CreditCard-Object = {
        version   = %{V_business_creditcard_object}
        url       = http://www.cpan.org/authors/id/T/TM/TMTM/
        regex     = Business-CreditCard-Object-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-PayPal = {
        version   = %{V_business_paypal}
        url       = http://www.cpan.org/authors/id/P/PH/PHRED/
        regex     = Business-PayPal-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-PayPal-EWP = {
        version   = %{V_business_paypal_ewp}
        url       = http://www.cpan.org/authors/id/T/TB/TBUSCH/
        regex     = Business-PayPal-EWP-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-PayPal-IPN = {
        version   = %{V_business_paypal_ipn}
        url       = http://www.cpan.org/authors/id/S/SH/SHERZODR/
        regex     = Business-PayPal-IPN-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-PayPal-API = {
        version   = %{V_business_paypal_api}
        url       = http://www.cpan.org/authors/id/H/HE/HEMBREED/
        regex     = Business-PayPal-API-(__VER__)\.tar\.gz
    }
    prog perl-biz:Google-Checkout = {
        version   = %{V_google_checkout}
        url       = http://code.google.com/p/google-checkout-perl-sample-code/downloads/list
        regex     = Google-Checkout-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-OnlinePayment = {
        version   = %{V_business_onlinepayment}
        url       = http://www.cpan.org/authors/id/I/IV/IVAN/
        regex     = Business-OnlinePayment-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-OnlinePayment-StoredTransaction = {
        version   = %{V_business_onlinepayment_storedtransaction}
        url       = http://www.cpan.org/authors/id/M/MO/MOCK/
        regex     = Business-OnlinePayment-StoredTransaction-(__VER__)\.tar\.gz
    }
    prog perl-biz:Business-OnlinePayment-PayPal = {
        version   = %{V_business_onlinepayment_paypal}
        url       = http://www.cpan.org/authors/id/P/PL/PLOBBES/
        regex     = Business-OnlinePayment-PayPal-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2
    %setup -q -T -D -a 3
    %setup -q -T -D -a 4
    %setup -q -T -D -a 5
    %setup -q -T -D -a 6
    %setup -q -T -D -a 7
    %setup -q -T -D -a 8
    %setup -q -T -D -a 9
    %setup -q -T -D -a 10
    %setup -q -T -D -a 11
    %setup -q -T -D -a 12
    %setup -q -T -D -a 13
    %patch -p0

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_shtool} subst \
        -e 's/= shift if @ARGV.*$/= $Config{prefix};/' \
        -e 's/$cc eq $Config{cc}/1/' \
        Business-PayPal-EWP-%{V_business_paypal_ewp}/Makefile.PL
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE3}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE4}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE5}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE6}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE7}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE8}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE9}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE10} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE11} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE12} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE13} configure build install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

